<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PatternSet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PatternSet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/util/PatternSet.html" target="_top">Frames</a></li>
<li><a href="PatternSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.util</div>
<h2 title="Class PatternSet" class="title">Class PatternSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.util.PatternSet</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PatternSet</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></pre>
<div class="block">Standalone implementation of <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>PatternFilterable</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#PatternSet()">PatternSet</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#PatternSet(org.gradle.api.tasks.util.PatternSet)">PatternSet</a></strong>(<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;patternSet)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#PatternSet(org.gradle.api.tasks.util.internal.PatternSpecFactory)">PatternSet</a></strong>(org.gradle.api.tasks.util.internal.PatternSpecFactory&nbsp;patternSpecFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;node,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;childNodeName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#copyFrom(org.gradle.api.tasks.util.PatternFilterable)">copyFrom</a></strong>(<a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&nbsp;sourcePattern)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#doCopyFrom(org.gradle.api.tasks.util.PatternSet)">doCopyFrom</a></strong>(<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;from)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#equals(java.lang.Object)">equals</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#exclude(groovy.lang.Closure)">exclude</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds an exclude spec.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#exclude(java.lang.Iterable)">exclude</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&nbsp;excludes)</code>
<div class="block">Adds an ANT style exclude pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#exclude(org.gradle.api.specs.Spec)">exclude</a></strong>(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;spec)</code>
<div class="block">Adds an exclude spec.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#exclude(java.lang.String...)">exclude</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;excludes)</code>
<div class="block">Adds an ANT style exclude pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#excludeSpecs(java.lang.Iterable)">excludeSpecs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;excludes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getAsExcludeSpec()">getAsExcludeSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getAsIncludeSpec()">getAsIncludeSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getAsSpec()">getAsSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getExcludes()">getExcludes</a></strong>()</code>
<div class="block">Returns the set of exclude patterns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getExcludeSpecs()">getExcludeSpecs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getIncludes()">getIncludes</a></strong>()</code>
<div class="block">Returns the set of include patterns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#getIncludeSpecs()">getIncludeSpecs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#include(groovy.lang.Closure)">include</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds an include spec.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#include(java.lang.Iterable)">include</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&nbsp;includes)</code>
<div class="block">Adds an ANT style include pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#include(org.gradle.api.specs.Spec)">include</a></strong>(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;spec)</code>
<div class="block">Adds an include spec.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#include(java.lang.String...)">include</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;includes)</code>
<div class="block">Adds an ANT style include pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#includeSpecs(java.lang.Iterable)">includeSpecs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;includeSpecs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#intersect()">intersect</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#isCaseSensitive()">isCaseSensitive</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">The PatternSet is considered empty when no includes or excludes have been added.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#setCaseSensitive(boolean)">setCaseSensitive</a></strong>(boolean&nbsp;caseSensitive)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#setExcludes(java.lang.Iterable)">setExcludes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludes)</code>
<div class="block">Set the allowable exclude patterns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/util/PatternSet.html#setIncludes(java.lang.Iterable)">setIncludes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includes)</code>
<div class="block">Set the allowable include patterns.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PatternSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PatternSet</h4>
<pre>public&nbsp;PatternSet()</pre>
</li>
</ul>
<a name="PatternSet(org.gradle.api.tasks.util.PatternSet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PatternSet</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
protected&nbsp;PatternSet(<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;patternSet)</pre>
</li>
</ul>
<a name="PatternSet(org.gradle.api.tasks.util.internal.PatternSpecFactory)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PatternSet</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
protected&nbsp;PatternSet(org.gradle.api.tasks.util.internal.PatternSpecFactory&nbsp;patternSpecFactory)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="copyFrom(org.gradle.api.tasks.util.PatternFilterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyFrom</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;copyFrom(<a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&nbsp;sourcePattern)</pre>
</li>
</ul>
<a name="doCopyFrom(org.gradle.api.tasks.util.PatternSet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doCopyFrom</h4>
<pre>protected&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;doCopyFrom(<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;from)</pre>
</li>
</ul>
<a name="intersect()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersect</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;intersect()</pre>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">The PatternSet is considered empty when no includes or excludes have been added.

 The Spec returned by getAsSpec method only contains the default excludes patterns
 in this case.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true when no includes or excludes have been added to this instance</dd></dl>
</li>
</ul>
<a name="getAsSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsSpec</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;getAsSpec()</pre>
</li>
</ul>
<a name="getAsIncludeSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsIncludeSpec</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;getAsIncludeSpec()</pre>
</li>
</ul>
<a name="getAsExcludeSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsExcludeSpec</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;getAsExcludeSpec()</pre>
</li>
</ul>
<a name="getIncludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludes()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#getIncludes()">PatternFilterable</a></code></strong></div>
<div class="block">Returns the set of include patterns.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#getIncludes()">getIncludes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The include patterns. Returns an empty set when there are no include patterns.</dd></dl>
</li>
</ul>
<a name="getIncludeSpecs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeSpecs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;getIncludeSpecs()</pre>
</li>
</ul>
<a name="setIncludes(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludes</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;setIncludes(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#setIncludes(java.lang.Iterable)">PatternFilterable</a></code></strong></div>
<div class="block">Set the allowable include patterns.  Note that unlike <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.Iterable)"><code>PatternFilterable.include(Iterable)</code></a> this replaces any previously
 defined includes.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#setIncludes(java.lang.Iterable)">setIncludes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>includes</code> - an Iterable providing new include patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="include(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>include</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;include(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;includes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.String...)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple
 patterns may be specified in a single call.

 If includes are not provided, then all files in this container will be included. If includes are provided, then a
 file must match at least one of the include patterns to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.String...)">include</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>includes</code> - a vararg list of include patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="include(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>include</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;include(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&nbsp;includes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.Iterable)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple
 patterns may be specified in a single call.

 If includes are not provided, then all files in this container will be included. If includes are provided, then a
 file must match at least one of the include patterns to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.Iterable)">include</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>includes</code> - a Iterable providing more include patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="include(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>include</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;include(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;spec)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(org.gradle.api.specs.Spec)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an include spec. This method may be called multiple times to append new specs.

 If includes are not provided, then all files in this container will be included. If includes are provided, then a
 file must match at least one of the include patterns or specs to be included.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(org.gradle.api.specs.Spec)">include</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - the spec to add</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="getExcludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludes()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#getExcludes()">PatternFilterable</a></code></strong></div>
<div class="block">Returns the set of exclude patterns.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#getExcludes()">getExcludes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The exclude patterns. Returns an empty set when there are no exclude patterns.</dd></dl>
</li>
</ul>
<a name="getExcludeSpecs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeSpecs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;getExcludeSpecs()</pre>
</li>
</ul>
<a name="setExcludes(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludes</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;setExcludes(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#setExcludes(java.lang.Iterable)">PatternFilterable</a></code></strong></div>
<div class="block">Set the allowable exclude patterns.  Note that unlike <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.Iterable)"><code>PatternFilterable.exclude(Iterable)</code></a> this replaces any previously
 defined excludes.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#setExcludes(java.lang.Iterable)">setExcludes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>excludes</code> - an Iterable providing new exclude patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="isCaseSensitive()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCaseSensitive</h4>
<pre>public&nbsp;boolean&nbsp;isCaseSensitive()</pre>
</li>
</ul>
<a name="setCaseSensitive(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCaseSensitive</h4>
<pre>public&nbsp;void&nbsp;setCaseSensitive(boolean&nbsp;caseSensitive)</pre>
</li>
</ul>
<a name="includeSpecs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeSpecs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;includeSpecs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;includeSpecs)</pre>
</li>
</ul>
<a name="include(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>include</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;include(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(groovy.lang.Closure)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an include spec. This method may be called multiple times to append new specs. The given closure is passed a
 <a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><code>FileTreeElement</code></a> as its parameter.

 If includes are not provided, then all files in this container will be included. If includes are provided, then a
 file must match at least one of the include patterns or specs to be included.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(groovy.lang.Closure)">include</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - the spec to add</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="exclude(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exclude</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;exclude(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;excludes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.String...)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple
 patterns may be specified in a single call.

 If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match
 any exclude pattern to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.String...)">exclude</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>excludes</code> - a vararg list of exclude patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="exclude(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exclude</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;exclude(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&nbsp;excludes)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.Iterable)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple
 patterns may be specified in a single call.

 If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match
 any exclude pattern to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.Iterable)">exclude</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>excludes</code> - a Iterable providing new exclude patterns</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="exclude(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exclude</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;exclude(<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&nbsp;spec)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(org.gradle.api.specs.Spec)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an exclude spec. This method may be called multiple times to append new specs.

 If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match
 any exclude pattern to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(org.gradle.api.specs.Spec)">exclude</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - the spec to add</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>Pattern Format</code></a></dd></dl>
</li>
</ul>
<a name="excludeSpecs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeSpecs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;excludeSpecs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;<a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a>&gt;&gt;&nbsp;excludes)</pre>
</li>
</ul>
<a name="exclude(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exclude</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/util/PatternSet.html" title="class in org.gradle.api.tasks.util">PatternSet</a>&nbsp;exclude(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(groovy.lang.Closure)">PatternFilterable</a></code></strong></div>
<div class="block">Adds an exclude spec. This method may be called multiple times to append new specs.The given closure is passed a
 <a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><code>FileTreeElement</code></a> as its parameter. The closure should return true or false. Example:

 <pre class='autoTested'>
 copySpec {
   from 'source'
   into 'destination'
   //an example of excluding files from certain configuration:
   exclude { it.file in configurations.someConf.files }
 }
 </pre>

 If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match
 any exclude pattern to be processed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(groovy.lang.Closure)">exclude</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - the spec to add</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><code>FileTreeElement</code></a></dd></dl>
</li>
</ul>
<a name="addToAntBuilder(java.lang.Object, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addToAntBuilder</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;addToAntBuilder(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;node,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;childNodeName)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/AntBuilderAware.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/util/PatternSet.html" target="_top">Frames</a></li>
<li><a href="PatternSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
